Bug 812459 - pstree fails: *** buffer overflow detected ***: pstree terminated
pstree fails: *** buffer overflow detected ***: pstree terminated
Status: CLOSED DUPLICATE of bug 785934
Product: Fedora
Classification: Fedora
Component: psmisc (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 15:22 EDT by Dave Anderson
Modified: 2016-01-31 20:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 08:30:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Anderson 2012-04-13 15:22:00 EDT
Description of problem:

pstree fails due to FORTIFY_SOURCE buffer overflow detection 

Version-Release number of selected component (if applicable):

pstree 22.15
psmisc-22.15-1.fc17.x86_64

How reproducible:

always

Steps to Reproduce:
1. enter pstree with no arguments
2.
3.

Actual results:

[root@dhcp47-148 ~]# pstree
*** buffer overflow detected ***: pstree terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3e76d081e7]
/lib64/libc.so.6[0x3e76d063a0]
pstree[0x402f7b]
pstree[0x40318b]
pstree[0x401f67]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x3e76c21745]
pstree[0x4021a5]
======= Memory map: ========
00400000-00405000 r-xp 00000000 fd:01 2107193                            /usr/bin/pstree
00604000-00605000 r--p 00004000 fd:01 2107193                            /usr/bin/pstree
00605000-00606000 rw-p 00005000 fd:01 2107193                            /usr/bin/pstree
01d2a000-01d6b000 rw-p 00000000 00:00 0                                  [heap]
3e76800000-3e76820000 r-xp 00000000 fd:01 2117780                        /usr/lib64/ld-2.15.so
3e76a1f000-3e76a20000 r--p 0001f000 fd:01 2117780                        /usr/lib64/ld-2.15.so
3e76a20000-3e76a21000 rw-p 00020000 fd:01 2117780                        /usr/lib64/ld-2.15.so
3e76a21000-3e76a22000 rw-p 00000000 00:00 0 
3e76c00000-3e76dab000 r-xp 00000000 fd:01 2117781                        /usr/lib64/libc-2.15.so
3e76dab000-3e76faa000 ---p 001ab000 fd:01 2117781                        /usr/lib64/libc-2.15.so
3e76faa000-3e76fae000 r--p 001aa000 fd:01 2117781                        /usr/lib64/libc-2.15.so
3e76fae000-3e76fb0000 rw-p 001ae000 fd:01 2117781                        /usr/lib64/libc-2.15.so
3e76fb0000-3e76fb5000 rw-p 00000000 00:00 0 
3e77000000-3e77003000 r-xp 00000000 fd:01 2117785                        /usr/lib64/libdl-2.15.so
3e77003000-3e77202000 ---p 00003000 fd:01 2117785                        /usr/lib64/libdl-2.15.so
3e77202000-3e77203000 r--p 00002000 fd:01 2117785                        /usr/lib64/libdl-2.15.so
3e77203000-3e77204000 rw-p 00003000 fd:01 2117785                        /usr/lib64/libdl-2.15.so
3e78000000-3e7801d000 r-xp 00000000 fd:01 2103505                        /usr/lib64/libselinux.so.1
3e7801d000-3e7821d000 ---p 0001d000 fd:01 2103505                        /usr/lib64/libselinux.so.1
3e7821d000-3e7821e000 r--p 0001d000 fd:01 2103505                        /usr/lib64/libselinux.so.1
3e7821e000-3e7821f000 rw-p 0001e000 fd:01 2103505                        /usr/lib64/libselinux.so.1
3e7821f000-3e78220000 rw-p 00000000 00:00 0 
3e78c00000-3e78c15000 r-xp 00000000 fd:01 2117797                        /usr/lib64/libgcc_s-4.7.0-20120208.so.1
3e78c15000-3e78e14000 ---p 00015000 fd:01 2117797                        /usr/lib64/libgcc_s-4.7.0-20120208.so.1
3e78e14000-3e78e15000 rw-p 00014000 fd:01 2117797                        /usr/lib64/libgcc_s-4.7.0-20120208.so.1
3e7a400000-3e7a425000 r-xp 00000000 fd:01 2110046                        /usr/lib64/libtinfo.so.5.9
3e7a425000-3e7a624000 ---p 00025000 fd:01 2110046                        /usr/lib64/libtinfo.so.5.9
3e7a624000-3e7a628000 r--p 00024000 fd:01 2110046                        /usr/lib64/libtinfo.so.5.9
3e7a628000-3e7a629000 rw-p 00028000 fd:01 2110046                        /usr/lib64/libtinfo.so.5.9
7ffdb6eae000-7ffdbd2d8000 r--p 00000000 fd:01 2098094                    /usr/lib/locale/locale-archive
7ffdbd2d8000-7ffdbd2dc000 rw-p 00000000 00:00 0 
7ffdbd2e7000-7ffdbd2ea000 rw-p 00000000 00:00 0 
7fff44d50000-7fff44d71000 rw-p 00000000 00:00 0                          [stack]
7fff44dff000-7fff44e00000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted
[root@dhcp47-148 ~]# 

Expected results:


Additional info:
Comment 1 Jaromír Cápík 2012-05-10 08:30:51 EDT
Hello Dave.

Please, update psmisc to version 22.16 (pushed to stable in March) that fixes the issue above.

I'm closing this as duplicate of Bug 785934.

Thank you and have a nice day.

Regards,
Jaromir.

*** This bug has been marked as a duplicate of bug 785934 ***

Note You need to log in before you can comment on or make changes to this bug.